Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.http11
Class InternalNioOutputBuffer.SocketOutputBuffer

    java.lang.Object
      org.apache.coyote.http11.InternalNioOutputBuffer.SocketOutputBuffer

All Implemented Interfaces:
  OutputBuffer

Enclosing class:
  InternalNioOutputBuffer

    protected class InternalNioOutputBuffer.SocketOutputBuffer

extends java.lang.Object
implements OutputBuffer

This class is an output buffer which will write data to an output stream.

Constructor Summary
`protected` | `InternalNioOutputBuffer.SocketOutputBuffer()`

Method Summary
`int` | `doWrite(ByteChunk chunk, Response res)` Write chunk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalNioOutputBuffer.SocketOutputBuffer

    protected InternalNioOutputBuffer.SocketOutputBuffer()

Method Detail

### doWrite

    public int doWrite(ByteChunk chunk,
                       Response res)
                throws java.io.IOException

  Write chunk.

  Specified by:
    `doWrite` in interface `OutputBuffer`
  Parameters:
    `chunk` - data to write
    `res` - used to allow buffers that can be shared by multiple responses.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.